Bug 107704 - bugs added
Summary: bugs added
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-28 08:22 UTC by Martin Peres
Modified: 2019-03-22 05:43 UTC (History)
2 users (show)

See Also:
i915 platform: BSW/CHT
i915 features: power/runtime PM


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Chris Wilson 2018-09-04 17:34:22 UTC
Note debugfs-read is bug 105588. The module-reload spam was suppressed by 

commit e0c3033a57d85c0d2eb33af0451afa16edc79f10 (upstream/master, origin/master, origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 17 11:56:38 2018 +0100

    igt/pm_rpm: Reload the module with full mmio debugging
    
    Our unclaimed mmio access debugging is lazy, doing cheap checks
    periodically and only if they fail do a full check around every mmio
    access. When testing for runtime pm, enable the full mmio debugging from
    the initial load.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Imre Deak <imre.deak@intel.com>
    Reviewed-by: Imre Deak <imre.deak@intel.com>

in an attempt to find the culprit, we demonstrated it wasn't us!
Comment 2 Martin Peres 2018-09-05 11:11:12 UTC
(In reply to Chris Wilson from comment #1)
> Note debugfs-read is bug 105588. 

OK, moved BYT out of this bug. Thanks!

> The module-reload spam was suppressed by 
> 
> commit e0c3033a57d85c0d2eb33af0451afa16edc79f10 (upstream/master,
> origin/master, origin/HEAD)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Fri Aug 17 11:56:38 2018 +0100
> 
>     igt/pm_rpm: Reload the module with full mmio debugging
>     
>     Our unclaimed mmio access debugging is lazy, doing cheap checks
>     periodically and only if they fail do a full check around every mmio
>     access. When testing for runtime pm, enable the full mmio debugging from
>     the initial load.
>     
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Imre Deak <imre.deak@intel.com>
>     Reviewed-by: Imre Deak <imre.deak@intel.com>
> 
> in an attempt to find the culprit, we demonstrated it wasn't us!

This commit did not fix all the issues:

 - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4767/fi-bsw-cyan/igt@pm_rpm@module-reload.html

 - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4767/fi-bsw-kefka/igt@pm_rpm@module-reload.html

- https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4767/fi-bsw-n3050/igt@pm_rpm@module-reload.html

[  466.740822] [drm:intel_runtime_suspend [i915]] *ERROR* Unclaimed access detected prior to suspending

Re-opening.
Comment 3 Chris Wilson 2018-09-05 11:16:08 UTC
It did "fix" all the ones in BAT, afaict. DRM_4767 is the run before this landed in IGT_4627,
Comment 4 Martin Peres 2018-09-05 11:20:22 UTC
(In reply to Chris Wilson from comment #3)
> It did "fix" all the ones in BAT, afaict. DRM_4767 is the run before this
> landed in IGT_4627,

The date was very misleading then ;) I guess it seated on the ML for waaayyy too long. Sorry for the noise.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.